This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444022 - yum traceback when trying to install a non-existent group
yum traceback when trying to install a non-existent group
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 12:34 EDT by Jakub Hrozek
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 13:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2008-04-24 12:34:36 EDT
Description of problem:
I mistyped a name of group I wanted to install and yum ended with a traceback:

# yum groupinstall "K Desktop Environment"
fedora                                                   | 2.4 kB     00:00
primary.sqlite.bz2                                       | 6.1 MB     00:04
updates                                                  | 2.4 kB     00:00
primary.sqlite.bz2                                       | 6.1 MB     00:04
Setting up Group Process
comps.xml.gz                                             | 300 kB     00:00
comps.xml.gz                                             | 300 kB     00:00
comps.xml.gz                                             | 300 kB     00:00
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 241, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 116, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 311, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, 
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 327, in doCommand
    return base.installGroups(extcmds)
  File "/usr/share/yum-cli/cli.py", line 859, in installGroups
    self.logger.error(_('Warning: Group %s does not exist.'), group_strng)



Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1. yum groupinstall a non-existent group
  
Actual results:
traceback

Expected results:
Something like in Fedora 8: Warning: Group K Desktop Environment does not 
exist.

Additional info:
Comment 1 James Antill 2008-04-24 14:00:27 EDT
 Problem was/is "group_strng" should be "group_string"

Note You need to log in before you can comment on or make changes to this bug.